Page MenuHomePhabricator

PHPUnit failures for some BlueSpice extensions
Closed, ResolvedPublic

Description

Hello there.

I've made two patches for some BlueSpice extensions. But jenkins-bot reports PHPUnit failures on the code.

Could you please have a look? Reports are in both patches.

Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2018, 8:51 PM

Change 450005 had a related patch set uploaded (by Pwirth; owner: Pwirth):
[mediawiki/extensions/BlueSpiceFoundation@master] Fixed phpunit tests fixture data path T200849

https://gerrit.wikimedia.org/r/450005

Change 450005 abandoned by Pwirth:
Fixed phpunit tests fixture data path T200849, T130811

Reason:
just tested if not using DIR would work

https://gerrit.wikimedia.org/r/450005

Pwirth added a subscriber: Pwirth.Aug 2 2018, 12:44 PM

this task is related to T130811

Change 450190 had a related patch set uploaded (by Pwirth; owner: Pwirth):
[mediawiki/extensions/BlueSpiceFoundation@master] Mark the BSApiWikiPageStoreTest test as broken. T130811, T200849

https://gerrit.wikimedia.org/r/450190

Change 450190 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceFoundation@master] Mark the BSApiWikiPageStoreTest test as broken. T130811, T200849

https://gerrit.wikimedia.org/r/450190

Pwirth closed this task as Resolved.Aug 6 2018, 3:17 PM